"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path = require("path");
const io_1 = require("./../../testing/io");
const env_1 = require("./../../commands/env");
const commandName = env_1.default.name;
describe("Command env", () => {
    beforeAll(async (done) => {
        await io_1.testSetup(commandName);
        await env_1.default.command({ args: {}, flags: { force: false } });
        done();
    });
    afterAll(async (done) => {
        await io_1.tearDown(commandName);
        done();
    });
    it("should create a local .env", async (done) => {
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "env/.env.local"));
        expect(isExisting).toEqual(true);
        done();
    });
    it("should create a development .env", async (done) => {
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "env/.env.development"));
        expect(isExisting).toEqual(true);
        done();
    });
    it("should create a staging .env", async (done) => {
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "env/.env.staging"));
        expect(isExisting).toEqual(true);
        done();
    });
    it("should create a production .env", async (done) => {
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "env/.env.production"));
        expect(isExisting).toEqual(true);
        done();
    });
    it("should create a env config", async (done) => {
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "env/config.js"));
        expect(isExisting).toEqual(true);
        done();
    });
});
