"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const html_1 = require("./../../commands/html");
const io_1 = require("./../../testing/io");
const commandName = html_1.default.name;
describe("Command Api", () => {
    beforeEach(async (done) => {
        await io_1.testSetup(commandName);
        done();
    });
    afterEach(async (done) => {
        await io_1.tearDown(commandName);
        done();
    });
    describe("Pathing", () => {
        it("should dry-run the file at the standard location", async (done) => {
            // Arrange
            const infoActual = console.info;
            console.info = jest.fn();
            // Act
            await html_1.default.command({ args: { command: "form", name: "foo" }, flags: { force: false, "dry-run": true } });
            // Assert
            expect(console.info.mock.calls[0][0]).toContain("./src/foo.html");
            done();
            // Clean up
            console.info = infoActual;
        });
        it("should dry-run the file at a custom location", async (done) => {
            // Arrange
            const infoActual = console.info;
            console.info = jest.fn();
            // Act
            await html_1.default.command({ args: { command: "form", name: "custom/foo" }, flags: { force: false, "dry-run": true } });
            // Assert
            expect(console.info.mock.calls[0][0]).toContain("./src/custom/foo.html");
            done();
            // Clean up
            console.info = infoActual;
        });
    });
});
