"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const path = require("path");
const io_1 = require("./../../testing/io");
const readme_1 = require("./../../commands/readme");
const commandName = readme_1.default.name;
describe("Command Readme", () => {
    beforeAll(async (done) => {
        await io_1.testSetup(commandName);
        done();
    });
    afterAll(async (done) => {
        await io_1.tearDown(commandName);
        done();
    });
    it("should create a readme", async (done) => {
        await readme_1.default.command({ flags: { force: false } });
        const isExisting = fs_1.existsSync(path.join(io_1.getTestingDirPath(commandName), "README.md"));
        expect(isExisting).toEqual(true);
        done();
    });
});
