"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const flags_1 = require("./../utils/flags");
const format_1 = require("./../utils/format");
const express = require("express");
const open = require("open");
const path = require("path");
class Docs extends command_1.Command {
    async run() {
        await this.action();
    }
    async action() {
        if (process.env.IS_AUTOMATED === "true") {
            return;
        }
        this.express();
    }
    async express() {
        const app = express();
        const port = 4110;
        const docDir = path.resolve(__dirname, "..", "docs");
        app.use(express.static(docDir));
        app.listen(port, async () => {
            const url = `http://localhost:${port}/tmpl-cli`;
            this.log(`Opening docs on ${url} ...use ^C to close`);
            await open(url);
        });
    }
}
exports.default = Docs;
Docs.docs = {
    description: "",
    descriptionShort: "Sub cli for tmpl's docs",
    commands: [
        {
            summary: "Sub CLI for tmpl's docs. " +
                "Will open a browser page for reviewing tmpl's features and commands.  " +
                "Use ^C to close.  " +
                "Powered by ExpressJs and Docz",
            summaryShort: "Open tmpl's docs in a browser",
            command: "tmpl docs"
        }
    ]
};
// OCLIF readme gen
Docs.description = Docs.docs.descriptionShort;
Docs.examples = format_1.docCommandsToExamples(Docs.docs.commands);
Docs.flags = Object.assign({}, flags_1.standardFlags);
