"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const detection_1 = require("./../utils/detection");
const flags_1 = require("./../utils/flags");
const format_1 = require("./../utils/format");
class Env extends command_1.Command {
    async run() {
        await Env.command(this.parse(Env));
    }
    static async command({ flags }) {
        await Env.action(flags);
    }
    static async action(flags) {
        // Files
        const files = [];
        files.push(["/env/core", "./env"]);
        if (detection_1.isTypescriptProject()) {
            files.push(["/env/typescript", "./env"]);
        }
        // Packages
        const devPackages = ["dotenv", "dotenv-webpack"];
        // Install
        await installer_1.install(files, devPackages, [], flags);
    }
}
exports.default = Env;
Env.docs = {
    description: "",
    descriptionShort: "Sub cli for env generator",
    commands: [
        {
            summary: "Sub CLI for env generator. " + "Creates env files under /env with a config.",
            summaryShort: "Create env files under /env with config",
            command: "tmpl env"
        }
    ]
};
// OCLIF readme gen
Env.description = Env.docs.descriptionShort;
Env.examples = format_1.docCommandsToExamples(Env.docs.commands);
Env.flags = Object.assign(Object.assign({}, flags_1.standardFlags), flags_1.installFlag);
Env.args = [{ name: "name" }];
