"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("./../utils/flags");
const format_1 = require("./../utils/format");
const pathing_1 = require("./../utils/pathing");
class Html extends command_1.Command {
    async run() {
        await Html.command(this.parse(Html));
    }
    static async command({ args, flags }) {
        switch (args.command) {
            case "form":
                await Html.formAction(args.name, flags);
                break;
            default:
                console.info("No subcommand was provided");
        }
    }
    static async formAction(nameArg, flags) {
        // Validation
        if (!nameArg) {
            console.info("You must provide the name of the html form file");
            return;
        }
        const { name, dirPath } = pathing_1.resolvePath(".", nameArg);
        // Files
        const stampVars = {
            name
        };
        const files = [["/html/form", dirPath, stampVars]];
        // Install
        await installer_1.install(files, [], [], flags);
    }
}
exports.default = Html;
Html.docs = {
    description: "Sub cli for html templates, files are added to src/",
    descriptionShort: "Sub cli for html templates",
    commands: [
        {
            summary: "Adds a simple html form file.",
            summaryShort: "Adds a simple html form file",
            command: "tmpl html form [name]"
        }
    ]
};
// OCLIF readme gen
Html.description = Html.docs.descriptionShort;
Html.examples = format_1.docCommandsToExamples(Html.docs.commands);
Html.flags = Object.assign({}, flags_1.standardFlags);
Html.args = [{ name: "command" }, { name: "name" }];
