"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("./../utils/flags");
const format_1 = require("./../utils/format");
class Husky extends command_1.Command {
    async run() {
        const { flags } = this.parse(Husky);
        this.action(flags);
    }
    async action(flags) {
        // Files
        const files = [["/husky/core", "."]];
        // Packages
        const devPackages = ["husky"];
        // Install
        await installer_1.install(files, devPackages, [], flags);
    }
}
exports.default = Husky;
Husky.docs = {
    description: "",
    descriptionShort: "Sub cli for Husky install",
    commands: [
        {
            summary: "Sub CLI for Husky install. " + "Creates a .huskyrc and installs",
            summaryShort: "Creates a .huskyrc and installs",
            command: "tmpl husky"
        }
    ]
};
// OCLIF readme gen
Husky.description = Husky.docs.descriptionShort;
Husky.examples = format_1.docCommandsToExamples(Husky.docs.commands);
Husky.flags = Object.assign(Object.assign({}, flags_1.standardFlags), flags_1.installFlag);
Husky.args = [{ name: "command" }, { name: "arg" }];
