"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("./../utils/flags");
const format_1 = require("./../utils/format");
class LintStaged extends command_1.Command {
    async run() {
        const { flags } = this.parse(LintStaged);
        this.action(flags);
    }
    async action(flags) {
        // Files
        const files = [["/lintStaged/core", ""]];
        // Packages
        const devPackages = ["lint-staged"];
        // Install
        await installer_1.install(files, devPackages, [], flags);
    }
}
exports.default = LintStaged;
LintStaged.docs = {
    description: "",
    descriptionShort: "Sub cli for lint-staged templates",
    commands: [
        {
            summary: "Sub CLI for lint-staged install. " + "Creates a .lintstagedrc.json file and installs",
            summaryShort: "Creates a .lintstagedrc.jso file and installs",
            command: "tmpl lintstaged"
        }
    ]
};
// OCLIF readme gen
LintStaged.description = LintStaged.docs.descriptionShort;
LintStaged.examples = format_1.docCommandsToExamples(LintStaged.docs.commands);
LintStaged.flags = Object.assign(Object.assign({}, flags_1.installFlag), flags_1.standardFlags);
LintStaged.args = [{ name: "command" }, { name: "arg" }];
