"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("../utils/flags");
const format_1 = require("./../utils/format");
class Lisp extends command_1.Command {
    async run() {
        Lisp.command(this.parse(Lisp));
    }
    static async command({ flags }) {
        await this.action(flags);
    }
    static async action(flags) {
        // Files
        const files = [["/lisp", "."]];
        // Install
        await installer_1.install(files, [], [], flags);
    }
}
exports.default = Lisp;
Lisp.docs = {
    description: "",
    descriptionShort: "Creates a small Lisp starter project",
    commands: [
        {
            summary: "Creates a small Lips starter project with a main, test file and makefile",
            summaryShort: "Creates a small Lisp starter project",
            command: "tmpl lisp"
        }
    ]
};
// OCLIF readme gen
Lisp.description = Lisp.docs.descriptionShort;
Lisp.examples = format_1.docCommandsToExamples(Lisp.docs.commands);
Lisp.flags = Object.assign({}, flags_1.standardFlags);
