"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("../utils/flags");
const format_1 = require("./../utils/format");
class Python extends command_1.Command {
    async run() {
        Python.command(this.parse(Python));
    }
    static async command({ flags }) {
        await this.action(flags);
    }
    static async action(flags) {
        // Files
        const files = [["/python", "."]];
        // Install
        await installer_1.install(files, [], [], flags);
    }
}
exports.default = Python;
Python.docs = {
    description: "",
    descriptionShort: "Creates a small Python starter project",
    commands: [
        {
            summary: "Creates a small Python start project with a main, test file and makefile",
            summaryShort: "Creates a small Python starter project",
            command: "tmpl python"
        }
    ]
};
// OCLIF readme gen
Python.description = Python.docs.descriptionShort;
Python.examples = format_1.docCommandsToExamples(Python.docs.commands);
Python.flags = Object.assign({}, flags_1.standardFlags);
