import { Command, flags } from "@oclif/command";
import { IArgs, IDocs, IFlags } from "types";
interface IReactFlags extends IFlags {
    contextName?: string;
    mobxName?: string;
}
export default class React extends Command {
    static docs: IDocs;
    static description: string;
    static examples: string[];
    static flags: {
        contextName: flags.IOptionFlag<string | undefined>;
        mobxName: flags.IOptionFlag<string | undefined>;
        javascript: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        typescript: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        "dry-run": import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        install: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
    }[];
    run(): Promise<void>;
    static command({ args, flags }: {
        args: IArgs;
        flags: IReactFlags;
    }): Promise<void>;
    private static initialize;
    private static initializePrompt;
    private static resolveFlagsToOptions;
    private static initializeAction;
    private static contextAction;
    private static fcAction;
    private static mstAction;
    private static testAction;
}
export {};
