"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const installer_1 = require("./../engine/installer");
const flags_1 = require("../utils/flags");
const format_1 = require("./../utils/format");
class Readme extends command_1.Command {
    async run() {
        Readme.command(this.parse(Readme));
    }
    static async command({ flags }) {
        await this.action(flags);
    }
    static async action(flags) {
        // Files
        const files = [["/readme", "."]];
        // Install
        await installer_1.install(files, [], [], flags);
    }
}
exports.default = Readme;
Readme.docs = {
    description: "",
    descriptionShort: "Creates a README.md file in the current directory",
    commands: [
        {
            summary: "Creates a README.md file in the current directory",
            summaryShort: "Creates a README.md file in the current directory",
            command: "tmpl readme"
        }
    ]
};
// OCLIF readme gen
Readme.description = Readme.docs.descriptionShort;
Readme.examples = format_1.docCommandsToExamples(Readme.docs.commands);
Readme.flags = Object.assign(Object.assign({}, flags_1.installFlag), flags_1.standardFlags);
