"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateJest = void 0;
const fragments_1 = require("./../../templates/jest/fragments");
exports.generateJest = (options, path = "") => {
    // Files
    const stampVars = {
        valSrcIndex: options.isTypescript ? "index.ts" : "index.js",
        jestTypescriptGlobals: options.isTypescript ? fragments_1.jestTypescriptGlobals : "",
        jestTransformJavascript: !options.isTypescript ? fragments_1.jestTransformJavascript : "",
        jestTransformTypescript: options.isTypescript ? fragments_1.jestTransformTypescript : "",
        jestTransformVue: options.isVue ? fragments_1.jestTransformVue : ""
    };
    const files = [["/jest/core", path, stampVars]];
    // Packages
    let devPackages = ["jest"];
    const prodPackages = [];
    if (!options.isTypescript) {
        devPackages = [...devPackages, "babel-jest", "@babel/core"];
    }
    if (options.isTypescript) {
        devPackages = [...devPackages, "typescript", "ts-jest", "@types/jest"];
    }
    if (options.isVue) {
        devPackages = [...devPackages, "@vue/test-utils", "vue-jest", "babel-core@7.0.0-bridge.0"];
    }
    return {
        files,
        devPackages,
        prodPackages
    };
};
