"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateReactFcVars = void 0;
const format_1 = require("./../../../utils/format");
const transforms_1 = require("./../../../utils/transforms");
const parts_1 = require("./parts");
const deriveOptions = (opt) => ({
    name: opt.name,
    nameKebabCase: format_1.toKebabCase(opt.name),
    nameProperCase: format_1.toProperCase(opt.name),
    contextName: opt.contextName,
    contextNameProperCase: format_1.toProperCase(opt.contextName),
    contextNameNoSuffix: opt.contextName.replace("Context", ""),
    mobxName: opt.mobxName,
    mobxNameProperCase: format_1.toProperCase(opt.mobxName),
    fileExtension: opt.isTypescript ? "tsx" : "jsx",
    isTypescript: opt.isTypescript
});
exports.generateReactFcVars = async (opt) => {
    const derivedOptions = deriveOptions(opt);
    const stampVars = Object.assign(Object.assign({}, transforms_1.mapObjAnyToObjString(derivedOptions)), { genComponentConnected: parts_1.genComponentConnected(derivedOptions), genComponentDefinition: parts_1.genComponentDefinition(derivedOptions), genDefaultProps: parts_1.genDefaultProps(derivedOptions), genImportContext: parts_1.genImportContext(derivedOptions), genImportMobxStore: parts_1.genImportMobxStore(derivedOptions), genImportLibrary: parts_1.genImportLibrary(derivedOptions), genInterfaceProps: parts_1.genInterfaceProps(derivedOptions) });
    return stampVars;
};
