"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDevPackages = void 0;
exports.getDevPackages = (optionsInput) => {
    let devPackages = ["webpack@4.44.2", "webpack-cli@3.3.12"];
    if (optionsInput.isWeb) {
        devPackages = [
            ...devPackages,
            "webpack-dev-server@3.11.0",
            "html-webpack-plugin",
            "mini-css-extract-plugin",
            "css-loader",
            "autoprefixer",
            "postcss-import",
            "postcss-loader",
            "postcss-preset-env",
            "cssnano"
        ];
    }
    if (optionsInput.isHbs) {
        devPackages = [...devPackages, "handlebars", "handlebars-loader"];
    }
    if (optionsInput.isJavascript) {
        devPackages = [...devPackages, "babel-loader"];
    }
    if (optionsInput.isTypescript) {
        devPackages = [...devPackages, "typescript", "ts-loader", "tsconfig-paths-webpack-plugin"];
    }
    if (optionsInput.isVue) {
        devPackages = [...devPackages, "vue-loader", "vue-style-loader", "vue-template-compiler"];
    }
    if (optionsInput.isSass) {
        devPackages = [...devPackages, "node-sass", "sass-loader"];
    }
    return devPackages;
};
