"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tearDown = exports.testSetup = exports.removeTestingDir = exports.createTestingDir = exports.getTestingDirPath = exports.testingDirName = void 0;
const fs_1 = require("fs");
const path = require("path");
const rimraf_1 = require("rimraf");
exports.testingDirName = ".testing";
exports.getTestingDirPath = (dirName) => path.resolve(__dirname, "..", "..", exports.testingDirName, dirName);
exports.createTestingDir = (dirName) => {
    try {
        exports.removeTestingDir(exports.getTestingDirPath(dirName));
        fs_1.mkdirSync(exports.getTestingDirPath(dirName));
    }
    catch (err) {
        console.warn(err);
    }
};
exports.removeTestingDir = (dirName) => {
    try {
        rimraf_1.sync(exports.getTestingDirPath(dirName));
    }
    catch (err) { }
};
exports.testSetup = async (dirName) => {
    await exports.createTestingDir(dirName);
    process.chdir(exports.getTestingDirPath(dirName));
};
exports.tearDown = async (dirName) => {
    await exports.removeTestingDir(dirName);
};
