"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtension = exports.toProperCase = exports.toKebabCase = exports.docCommandsToExamples = void 0;
exports.docCommandsToExamples = (docCommands) => docCommands.map(d => `${d.summaryShort ? d.summaryShort + "\n" : ""}$ ${d.command}\n`);
exports.toKebabCase = (str) => (str.match(/[A-Z]{2,}(?=[A-Z][a-z]+[0-9]*|\b)|[A-Z]?[a-z]+[0-9]*|[A-Z]|[0-9]+/g) || [])
    .map(c => c.toLowerCase())
    .join("-");
exports.toProperCase = (str) => str.slice(0, 1).toLocaleUpperCase() + str.slice(1, str.length);
exports.getExtension = (filePath) => {
    const parts = filePath.split(".");
    return "." + parts[parts.length - 1];
};
