"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.injectStringAtTopOfFile = exports.injectStringBelowCommentTagOfFile = exports.prettyFile = exports.exists = exports.delay = exports.copyDrill = exports.templatesDir = exports.generatorsDir = void 0;
const child_process_1 = require("child_process");
const util_1 = require("util");
const path = require("path");
const fs_1 = require("fs");
const fs_2 = require("fs");
const formatJson = require("format-json");
const log_1 = require("./../utils/log");
const format_1 = require("./../utils/format");
exports.generatorsDir = path.resolve(__dirname, "..", "generators");
exports.templatesDir = path.resolve(__dirname, "..", "templates");
exports.copyDrill = (from, to) => {
    const mkdirQuite = (path) => {
        try {
            fs_2.mkdirSync(path);
        }
        catch (_a) { }
    };
    let pathSteps = ".";
    const steps = to.split("/");
    for (let i = 1; i < steps.length - 1; i++) {
        pathSteps = `${pathSteps}/${steps[i]}`;
        mkdirQuite(pathSteps);
    }
    fs_2.copyFileSync(from, to);
};
exports.delay = (timeInMs = 100) => new Promise(resolve => setTimeout(resolve, timeInMs));
exports.exists = async (filePath) => {
    try {
        await fs_1.promises.stat(filePath);
        return true;
    }
    catch (err) {
        return false;
    }
};
exports.prettyFile = async (path) => {
    const extension = format_1.getExtension(path);
    try {
        switch (extension) {
            case ".js":
            case ".jsx":
                await util_1.promisify(child_process_1.exec)(`prettier --write ${path} --parser babel`);
                return;
            case ".ts":
            case ".tsx":
                await util_1.promisify(child_process_1.exec)(`prettier --write ${path} --parser typescript`);
                return;
            // case ".html":
            // case ".vue":
            //   await promisify(exec)(`prettier --write ${path} --parser html`);
            //   return;
            case ".json":
                let jsonData = await fs_1.promises.readFile(path, "utf8");
                jsonData = formatJson.plain(JSON.parse(jsonData));
                await fs_1.promises.writeFile(path, jsonData, "utf8");
                return;
        }
    }
    catch (err) { }
    log_1.log.warn(`No file formatting configured for ${extension} file types.`);
};
exports.injectStringBelowCommentTagOfFile = (filePath, commentTag, str, cb) => {
    const data = fs_2.readFileSync(filePath, "utf8");
    const lines = data.split("\n");
    for (let i = 0; i < lines.length; i++) {
        if (new RegExp(`\/\/\ *${commentTag}`).test(lines[i])) {
            const updatedLines = [...lines.slice(0, i), str, ...lines.slice(i, lines.length)];
            fs_2.writeFileSync(filePath, updatedLines, "utf8");
            cb(null, null);
            return;
        }
    }
};
exports.injectStringAtTopOfFile = () => { };
